ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jlun...@apache.org
Subject ambari git commit: AMBARI-21135: Kafka service fails to start during EU from HDF 202 to 30 while resolving /etc/kafka/conf (jluniya)
Date Wed, 21 Jun 2017 19:10:12 GMT
Repository: ambari
Updated Branches:
  refs/heads/branch-2.5 bf8f70773 -> 7cc6701bb


AMBARI-21135: Kafka service fails to start during EU from HDF 202 to 30 while resolving /etc/kafka/conf
(jluniya)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/7cc6701b
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/7cc6701b
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/7cc6701b

Branch: refs/heads/branch-2.5
Commit: 7cc6701bb03031779d322ddce14d4c02277ef9b0
Parents: bf8f707
Author: Jayush Luniya <jluniya@hortonworks.com>
Authored: Wed Jun 21 12:10:07 2017 -0700
Committer: Jayush Luniya <jluniya@hortonworks.com>
Committed: Wed Jun 21 12:10:07 2017 -0700

----------------------------------------------------------------------
 .../main/resources/custom_actions/scripts/install_packages.py | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/7cc6701b/ambari-server/src/main/resources/custom_actions/scripts/install_packages.py
----------------------------------------------------------------------
diff --git a/ambari-server/src/main/resources/custom_actions/scripts/install_packages.py b/ambari-server/src/main/resources/custom_actions/scripts/install_packages.py
index 112abe3..3a93389 100644
--- a/ambari-server/src/main/resources/custom_actions/scripts/install_packages.py
+++ b/ambari-server/src/main/resources/custom_actions/scripts/install_packages.py
@@ -40,7 +40,7 @@ from resource_management.libraries.functions.version import format_stack_version
 from resource_management.libraries.functions.repo_version_history \
   import read_actual_version_from_history_file, write_actual_version_to_history_file, REPO_VERSION_HISTORY_FILE
 from resource_management.libraries.script.script import Script
-from resource_management.core.resources.system import Execute
+from resource_management.core.resources.system import Link
 from resource_management.libraries.functions.stack_features import check_stack_feature
 from resource_management.libraries.functions import StackFeature
 
@@ -205,6 +205,11 @@ class InstallPackages(Script):
       Logger.info("Configuration symlinks are not needed for {0}".format(stack_version))
       return
 
+    # After upgrading hdf-select package from HDF-2.X to HDF-3.Y, we need to create this
symlink
+    if self.stack_name.upper() == "HDF" \
+            and not os.path.exists("/usr/bin/conf-select") and os.path.exists("/usr/bin/hdfconf-select"):
+      Link("/usr/bin/conf-select", to = "/usr/bin/hdfconf-select")
+
     for package_name, directories in conf_select.get_package_dirs().iteritems():
       # if already on HDP 2.3, then we should skip making conf.backup folders
       if self.current_stack_version_formatted and check_stack_feature(StackFeature.CONFIG_VERSIONING,
self.current_stack_version_formatted):


Mime
View raw message